/**
 * Board of Regents of the University of Wisconsin System
 * licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a
 * copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package edu.wisc.hrapi.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.github.jasminb.jsonapi.annotations.*;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Type("supervisoryOrganizations")
@Getter
@Setter
@JsonIgnoreProperties(ignoreUnknown = true)
public class SupervisoryOrganization {
    @Id
    private String id;
    private String code;
    private String name;
    private String supervisoryOrganizationType;

    @Relationship(value = "subordinateOrganizations", resolve = true)
    private List<SupervisoryOrganization> subordinateOrganizations;

    @Relationship(value = "superiorOrganization", resolve = true)
    private SupervisoryOrganization superiorOrganization;

    @Relationship(value = "allSubordinateOrganizations", resolve = true)
    private List<SupervisoryOrganization> allSubordinateOrganizations;

    @Links
    private com.github.jasminb.jsonapi.Links links;

}
