/**
 * Board of Regents of the University of Wisconsin System
 * licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a
 * copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package edu.wisc.hrapiclient;

import com.github.jasminb.jsonapi.models.errors.Error;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;
@Getter
public class HrAPIException extends RuntimeException {

    private List<Error> errors;

    public HrAPIException(Error error) {
        super(error.getDetail());
        errors = new ArrayList<>();
        errors.add(error);
    }

    public HrAPIException(List<Error> errors) {
        super(errors.get(0).getDetail());
        this.errors = errors;
    }
}
