/**
 * Board of Regents of the University of Wisconsin System
 * licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a
 * copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package edu.wisc.hrapiclient;

import com.github.jasminb.jsonapi.JSONAPIDocument;
import edu.wisc.hrapi.model.SupervisoryOrganization;
import retrofit2.Call;
import retrofit2.http.GET;
import retrofit2.http.Path;
import retrofit2.http.Query;
import retrofit2.http.QueryMap;

import java.util.List;
import java.util.Map;


public interface HrAPIService {

    @GET("/hr/supervisoryOrganizations")
    public Call<JSONAPIDocument<List<SupervisoryOrganization>>>getSupervisoryOrganizations(
            @QueryMap Map<String, String> filter);

    @GET("/hr/supervisoryOrganizations/{supervisoryOrganization}")
    public Call<JSONAPIDocument<SupervisoryOrganization>> getSupervisoryOrganizations(@Path("supervisoryOrganization") String supervisoryOrganization,
                                                                              @QueryMap Map<String, String> filter);

}
